<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div>
    <div
      class="modal s--modal fade nt--modal-confirm-choice"
      data-backdrop="static"
      data-keyboard="false"
      :id="id"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h3 class="modal-title">Lý do hủy</h3>
            <button
              @click.prevent="cancel()"
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">
                <i class="la la-times"></i>
              </span>
            </button>
          </div>
          <div class="modal-body">
            <div class="nt_modal-content">
              <div class="form-group">
                <label class="nt-label" for="reason-cancel-deal">Nhập lý do</label>
                <textarea
                  class="form-control"
                  :class="{ 'error-border': error }"
                  id="reason-cancel-deal"
                  v-model="reason"
                  rows="4"
                ></textarea>
                <small class="text-danger">{{ error }}</small>
              </div>
            </div>
          </div>
          <div class="modal-footer justify-content-end">
            <button type="button" class="nt-button" data-dismiss="modal" @click="cancel">Huỷ bỏ</button>
            <button
              type="button"
              class="nt-button nt-button-warning"
              data-dismiss="modal"
              style="margin-right: 0"
              @click="submit($event)"
            >Lưu lại</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>